Remove Vm From Protection Group
Remove the virtual machine for a VR protection group
The ID of a pairing between this Site Recovery Manager server and remote one
The ID of a protection group defined within current pairing
The ID of a protected virtual machine
A task to monitor the operation progress.
{
"id": "string",
"description": "string",
"description_id": "string",
"entity": "string",
"entity_name": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"queued_time": "string",
"start_time": "string",
"complete_time": "string",
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/protection-management/groups/{group_id}/vms/{vm_id}/actions/remove-from-group